<script type="text/javascript" src='<?php echo plugin_dir_url( __FILE__ ) . "js/jscolor/jscolor.js'" ?>'></script>

<script type="text/javascript">
// <![CDATA[
  jQuery(function($) {
    $('#show_custom_field').on('change', function() {
      $('#custom_filed_name_container').toggle();
    });
});
    //]]>
  </script>
  <div class="wrap">
    <div id="icon-settings-callemall" class="icon32"><br/></div>
    <h2>Call-Em-All Plugin Settings</h2>

    <p>This plugin will add a Call-Em-All OptIn Widget to your wordpress site. For support, please contact <a href="http://www.call-em-all.com/ContactUs">Call-Em-All</a>.</p>

    <?php if ($updated): ?>
      <div class="updated"><p><?php echo $updated ?></p></div>
    <?php endif; ?>

    <?php if ($error): ?>
      <div class="error"><p><?php echo $error ?></p></div>
    <?php endif; ?>

    <form name="callemall" method="post" action="">
      <table class="form-table">
        <tr>
          <th>
            <label for="site_url">Site URL</label>
          </th>
          <td>
            <input name="site_url" type="text" id="site_url"
            value="<?php echo $site_url; ?>" class="regular-text">
            <span class="description">
              A Call-Em-All
              <a href="https://app.call-em-all.com/MySettings/MySettings.aspx" target="_blank">
                Widget Settings</a>.
              </span>
            </td>
          </tr>
          <tr>
            <th>
              <label for="widget_key">Widget Key</label>
            </th>
            <td>
              <input name="widget_key" type="text" id="from" value="<?php echo $widget_key ?>"
              class="regular-text">
              <span class="description">The Key from your widget settings</span>
            </td>
          </tr>
          <tr>
            <th>
              <label for="button_color">Button Color</label>
            </th>
            <td>
              <input name="button_color" type="text" id="from" value="<?php echo $button_color ?>"
              class="regular-text color {hash:true}">
              <span class="description">The Key from your widget settings</span>
            </td>
          </tr>
          <tr>
            <th>
              <label for="text_color">Text Color</label>
            </th>
            <td>
              <select name="text_color" id="text_color">
                <option value="White" <?php echo ($text_color == 'White' ? 'selected="selected"' : '')?>>White</option>
                <option value="Black" <?php echo ($text_color == 'Black' ? 'selected="selected"' : '') ?>>Black</option>
              </select>
              <span class="description">The Key from your widget settings</span>
            </td>
          </tr>
          <tr>
            <th>
              <label for="button_position">Button Position</label>
            </th>
            <td>
              <select name="button_position" id="button_position">
                <option value="Left" <?php echo ($button_position == 'Left' ? 'selected="selected"' : '')?>>Left</option>
                <option value="Right" <?php echo ($button_position == 'Right' ? 'selected="selected"' : '') ?>>Right</option>
              </select>
              <span class="description">The Key from your widget settings</span>
            </td>
          </tr>
          <tr>
            <th>
              <label for="keywords">Keywords</label>
            </th>
            <td>
              <input name="keywords" type="text" id="from" value="<?php echo $keywords ?>"
              class="regular-text">
              <span class="description">The Key from your widget settings</span>
            </td>
          </tr>
          <tr>
            <th>
              <label for="show_name">Show Name Field</label>
            </th>
            <td>
              <select name="show_name" id="show_name">
                <option value="1" <?php echo ($show_name == '1' ? 'selected="selected"' : '')?>>Yes</option>
                <option value="0" <?php echo ($show_name == '0' ? 'selected="selected"' : '') ?>>No</option>
              </select>
              <span class="description">The Key from your widget settings</span>
            </td>
          </tr>
          <tr>
            <th>
              <label for="show_custom_field">Show Custom Field</label>
            </th>
            <td>
              <select name="show_custom_field" id="show_custom_field">
                <option value="1" <?php echo ($show_custom_field == '1' ? 'selected="selected"' : '')?>>Yes</option>
                <option value="0" <?php echo ($show_custom_field == '0' ? 'selected="selected"' : '') ?>>No</option>
              </select>
              <span class="description">The Key from your widget settings</span>
            </td>
          </tr>
          <tr id="custom_filed_name_container"<?php echo ($show_custom_field == '0' ? 'style="display:none"' : '')?>>
            <th>
              <label for="custom_field_name">Custom Field Text</label>
            </th>
            <td>
              <input name="custom_field_name" type="text" id="from" value="<?php echo $custom_field_name ?>"
              class="regular-text">
              <span class="description">The Key from your widget settings</span>
            </td>
          </tr>
        </table>
        <p class="submit">
          <input type="submit" name="Submit" class="button-primary"
          value="Save Changes">
        </p>
      </form>
    </div>
